## FmPlacesView FmPlacesView — A widget for side panel with places list. |

## Functions

#define | FM_PLACES_VIEW_TYPE
void | fm_places_view_chdir ()
FmPlacesView * | fm_places_view_new ()

## Properties

gchar * | home-dir-path | Read / Write

## Signals

void | chdir | Run Last
void | item-popup | Run Last

## Types and Values

struct | FmPlacesView
struct | FmPlacesViewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkTreeView
                            ╰── FmPlacesView

## Implemented Interfaces

FmPlacesView implements AtkImplementorIface and GtkBuildable.

## Description

`include` : libfm/fm-gtk.h

The FmPlacesView displays list of pseudo-folders which contains such items as Home directory, Trash bin, mounted removable drives, bookmarks, etc.

## Functions

### FM_PLACES_VIEW_TYPE

    #define FM_PLACES_VIEW_TYPE             (fm_places_view_get_type())

### fm_places_view_chdir ()

    void
    fm_places_view_chdir (FmPlacesView *pv,
                          FmPath *path);

Changes active path and eventually sends the “chdir” signal.

Before 1.0.0 this call had name fm_places_chdir. Before 0.1.12 this call had name fm_places_select.

#### Parameters

pv | a widget to apply |
path | the new path |

Since: 0.1.0

### fm_places_view_new ()

    FmPlacesView *
    fm_places_view_new (void);

Creates new FmPlacesView widget.

#### Returns

a new FmPlacesView object.

[transfer full]

Since: 0.1.0

## Types and Values

### struct FmPlacesView

    struct FmPlacesView;

### struct FmPlacesViewClass

    struct FmPlacesViewClass {
        GtkTreeViewClass parent_class;
        void (*chdir)(FmPlacesView* view, guint button, FmPath* path);
        void (*item_popup)(FmPlacesView* view, GtkUIManager* ui, GtkActionGroup* act_grp, FmFileInfo* file);
    };

#### Members

GtkTreeViewClass `parent_class`; | the parent class |
`chdir` () | the class closure for the “chdir” signal |
`item_popup` () | the class closure for the “item-popup” signal |

## Property Details

### The `“home-dir-path”` property

      “home-dir-path”            gchar *

The “home-dir-path” property defines which path will be used on Home item activation. Value of `NULL` resets it to the default.

Flags: Read / Write

Default value: "/home/Yaakov"

Since: 1.2.0

## Signal Details

### The `“chdir”` signal

    void
    user_function (FmPlacesView *view,
                   guint         button,
                   gpointer      path,
                   gpointer      user_data)

The “chdir” signal is emitted when current selected directory in view is changed.

#### Parameters

view | a view instance that emitted the signal |
button | the button row was activated with |
path | (FmPath *) new directory path |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 0.1.0

### The `“item-popup”` signal

    void
    user_function (FmPlacesView *view,
                   GObject      *ui,
                   GObject      *act_grp,
                   gpointer      fi,
                   gpointer      user_data)

The “item-popup” signal is emitted when context menu is created for any directory in the view. Handler can modify the menu by adding or removing elements.

#### Parameters

view | a view instance that emitted the signal |
ui | the GtkUIManager using to create the menu |
act_grp | (GtkActionGroup *) the menu actions group |
fi | (FmFileInfo *) the item where menu popup is activated |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.2.0